﻿html, body {
    height: 100%;
    margin: 0;
    font-family: 'Kia Signature OTF Regular';
}

.split-container {
    display: flex;
    height: 100vh;
    min-height: 600px;
}

.left-section {
    width: 50%;
    background: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}

.right-section {
    width: 50%;
    background: var(--ch-color-primary-black);
    display: flex;
    align-items: center;
    justify-content: center;
}

.ch-navbar {
    padding: 0% 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    height: 40px;
}

.language-dropdown {
    min-width: 180px;
}

.login-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.login-title {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 0.4em;
}

.login-subtitle {
    color: var(--ch-color-secondary-dark-low);
    margin-bottom: 2em;
}

.login-form {
    width: 340px;
    display: flex;
    flex-direction: column;
    gap: 1.2em;
}

#btnLogin {
    max-width: unset;
}

.login-img {
    opacity: 0.2
}

.ch-footer {
    padding: 2% 5%;
    font-size: 0.95em;
    color: var(--ch-color-secondary-dark-low);
    background: transparent;
}

.right-section img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

#input-username {
    background-color: white;
}

#input-pass {
    background-color: white;
}

.ch-login-title-container {
    text-align: left;
    width: 340px;
}

.k-form-field {
    display: grid;
}

.k-input {
    max-width: unset;
}

.login-border {
    background: rgba(255,255,255,0.13);
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
    border-radius: 4px;
    border: 1px solid rgba(255,255,255,0.24);
    padding: 2rem 1.5rem;
}

.cookieDirectiveContainer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: white;
    border-top: 1px solid var(--ch-color-secondary-light-mid);
    box-shadow: 0 -2px 12px rgba(0,0,0,0.06);
    padding: 1rem 4rem;
    z-index: 1;
}

.ch-navbar .k-input-value-text {
    display: flex;
}

.language__picker-value {
    display: flex;
    align-items: center;
    column-gap: 0.375rem;

}
.language__picker-value img {
    max-height: 1.5rem;
}

.language__picker-value span {
    padding-top: 1px;
}

#ddlLanguage_listbox li span::before {
    content: none;
}

.ch-footer {
    text-align: center;
}

.cookieDirectiveContent {
    max-width: 100%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    gap: 24px;
}

    .cookieDirectiveContent .k-text-muted {
        flex: 1;
        margin: 0;
        text-align: left;
    }

@media (max-width: 900px) {
    body {
        background: var(--ch-color-primary-black);
        background-image: url(https://afsocdnstorage.blob.core.windows.net/cdn/VehicleServiceHistory/carHistory/project/login/login-img.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        position: relative;
        min-height: 100vh;
        margin: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

        body::before {
            content: "";
            position: fixed;
            top: 0;
            left: 0;
            width: 100vw;
            height: 100vh;
            background: var(--ch-color-primary-black);
            opacity: 0.7;
            pointer-events: none;
            z-index: 0;
        }

    .split-container {
        max-width: 1200px;
        width: 100%;
        display: flex;
        height: 80vh;
        min-height: 600px;
        box-sizing: border-box;
        margin: auto;
    }

    .right-section {
        display: none;
    }

    .login-form,
    .ch-login-title-container {
        color: white;
        width: 100% !important;
        min-width: 0 !important;
        box-sizing: border-box;
        padding: 0;
    }

    .k-label {
        color: white;
    }

    .logo {
        height: 28px;
    }

    .login-container {
        padding: 2vw 2vw;
        width: 100%;
        min-width: 0;
    }

    .login-subtitle {
        color: white
    }

    .ch-navbar {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        padding-bottom: 0;
        z-index: 2;
        background: white;
    }

    .left-section {
        background-color: transparent;
        width: 100%;
        min-height: unset;
        position: relative;
        height: auto;
    }

    .ch-footer {
        text-align: center;
        color: white;
    }
}
